Subject: [OSPF] Eric Rescorla's No Objection on draft-ietf-ospf-link-overload-12: (with COMMENT)

From: Eric Rescorla <[email-masked]>
Date: Thu, 18 Jan 2018 08:41:07 -0800

Eric Rescorla has entered the following ballot position for
draft-ietf-ospf-link-overload-12: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ospf-link-overload/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I think this document would be clearer if the example in S 7.1 were
in the intro. I was scratching my head a bit at the beginning and
then got to 7.1 and it made more sense.

---

From: Shraddha Hegde <[email-masked]>
Date: Thu, 18 Jan 2018 18:31:47 +0000

Hi Eric,

Introduction section does have a brief description and refers to 7.1 for detailed description of the use case. Moving detailed use case description to introduction section will make it cluttered.
Also there are other applications apart from 7.1 which also have a brief description in the 
Introduction and refer to application section for detailed description.

Rgds
Shraddha

-----Original Message-----
From: Eric Rescorla [mailto:[email-masked]] 
Sent: Thursday, January 18, 2018 10:11 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; Acee Lindem <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Eric Rescorla's No Objection on draft-ietf-ospf-link-overload-12: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwICaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=3MyT2IBHmmEmtejJI2o73p3zIjhzSmGtffDprR-DdD0&s=TufjwL4DRLGVAWd56qU-6DaDDRfPsgeHp8JmN2XrdTE&e=
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dospf-2Dlink-2Doverload_&d=DwICaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=3MyT2IBHmmEmtejJI2o73p3zIjhzSmGtffDprR-DdD0&s=avFGB5zEal090OxCbLLU5A1NvjlOJREQPCY-yP7GTDk&e=

I think this document would be clearer if the example in S 7.1 were in the intro. I was scratching my head a bit at the beginning and then got to 7.1 and it made more sense.

---

From: Eric Rescorla <[email-masked]>
Date: Thu, 18 Jan 2018 10:38:53 -0800

On Thu, Jan 18, 2018 at 10:31 AM, Shraddha Hegde <[email-masked]>
wrote:

> Hi Eric,
>
> Introduction section does have a brief description and refers to 7.1 for
> detailed description of the use case. Moving detailed use case description
> to introduction section will make it cluttered.
>
Also there are other applications apart from 7.1 which also have a brief
> description in the

Well, it's a comment, so you're free to ignore it, but as a consume of this
document, I found the current structure hard to follow.

-Ekr

> Cc: [email-masked]; Acee Lindem <[email-masked]>;
> [email-masked]; [email-masked]; [email-masked]
> Please refer to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.
> ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwICaQ&c=
> HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=
> NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=
> 3MyT2IBHmmEmtejJI2o73p3zIjhzSmGtffDprR-DdD0&s=TufjwL4DRLGVAWd56qU-
> 6DaDDRfPsgeHp8JmN2XrdTE&e=
> https://urldefense.proofpoint.com/v2/url?u=https-3A__
> datatracker.ietf.org_doc_draft-2Dietf-2Dospf-2Dlink-
> 2Doverload_&d=DwICaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=
> NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=
> 3MyT2IBHmmEmtejJI2o73p3zIjhzSmGtffDprR-DdD0&s=
> avFGB5zEal090OxCbLLU5A1NvjlOJREQPCY-yP7GTDk&e=
>
>
>
> I think this document would be clearer if the example in S 7.1 were in the
> intro. I was scratching my head a bit at the beginning and then got to 7.1
> and it made more sense.
>
>
>

---

From: Shraddha Hegde <[email-masked]>
Date: Mon, 22 Jan 2018 05:48:29 +0000

Eric,

I added more text to introduction section . Pls check if it helps improve readability.

“Many OSPFv2 or OSPFv3 deployments run on overlay networks provisioned
   by means of pseudo-wires or L2-circuits.  Prior to devices in the
   underlying network going offline for maintenance, it is useful to
   divert the traffic away from the node before the maintenance is
   actually performed.  Since the nodes in the underlying network are
   not visible to OSPF, the existing stub router mechanism described in
   [RFC6987] cannot be used.  In a service provider's network, there may
   be many CE-to-CE connections that run over a single PE.  It is
   cumbersome to change the metric on every CE-to-CE connection in both
   directions.  This document provides a mechanism to change metric in
   other direction of the link and also use the link as a last-resort-link if
   no alternate paths are available.  An application specific to this
   use case is described in detail in Section 7.1.”

rgds
Shraddha
From: Eric Rescorla [mailto:[email-masked]]
Sent: Friday, January 19, 2018 12:09 AM
To: Shraddha Hegde <[email-masked]>
Cc: The IESG <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Eric Rescorla's No Objection on draft-ietf-ospf-link-overload-12: (with COMMENT)

On Thu, Jan 18, 2018 at 10:31 AM, Shraddha Hegde <[email-masked]<mailto:[email-masked]>> wrote:
Hi Eric,

Well, it's a comment, so you're free to ignore it, but as a consume of this document, I found the current structure hard to follow.

-Ekr

Rgds
Shraddha

---

From: Eric Rescorla <[email-masked]>
Date: Sun, 21 Jan 2018 21:50:54 -0800

Yes, this seems better.

-Ekr

-

On Sun, Jan 21, 2018 at 9:48 PM, Shraddha Hegde <[email-masked]>
wrote:

> *From:* Eric Rescorla [mailto:[email-masked]]
> *Sent:* Friday, January 19, 2018 12:09 AM
> *To:* Shraddha Hegde <[email-masked]>
> *Cc:* The IESG <[email-masked]>; [email-masked];
> *Subject:* Re: Eric Rescorla's No Objection on
> draft-ietf-ospf-link-overload-12: (with COMMENT)
>
>
>
> Well, it's a comment, so you're free to ignore it, but as a consume of
> this document, I found the current structure hard to follow.
>
>
>
> -Ekr
>
>
>
>
> Rgds
> Shraddha
>